<?php
for ($i=0; $i < 4; $i++) { 
  $items[$i] = json_decode(file_get_contents("data/item".$i.".txt"));
}
?>
<!doctype html>
<html class="no-js">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="">
    <meta name="keywords" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>软件云集- 追风逐雨</title>

    <!-- Set render engine for 360 browser -->
    <meta name="renderer" content="webkit">

    <!-- No Baidu Siteapp-->
    <meta http-equiv="Cache-Control" content="no-siteapp"/>

    <link rel="icon" type="image/png" href="assets/i/favicon.png">

    <!-- Add to homescreen for Chrome on Android -->
    <meta name="mobile-web-app-capable" content="yes">
    <link rel="icon" sizes="192x192" href="assets/i/app-icon72x72@2x.png">

    <!-- Add to homescreen for Safari on iOS -->
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="apple-mobile-web-app-title" content="Amaze UI"/>
    <link rel="apple-touch-icon-precomposed" href="assets/i/app-icon72x72@2x.png">

    <!-- Tile icon for Win8 (144x144 + tile color) -->
    <meta name="msapplication-TileImage" content="assets/i/app-icon72x72@2x.png">
    <meta name="msapplication-TileColor" content="#0e90d2">

    <!-- SEO: If your mobile URL is different from the desktop URL, add a canonical link to the desktop page https://developers.google.com/webmasters/smartphone-sites/feature-phones -->
    <!--
    <link rel="canonical" href="http://www.example.com/">
    -->

    <link rel="stylesheet" href="assets/css/amazeui.min.css">
    <link rel="stylesheet" href="assets/css/app.css">
    <link rel="stylesheet" href="assets/css/amazeui.datatables.min.css">
  </head>
  <body>
    <!--[if lte IE 9]>
    <p class="browsehappy">你正在使用<strong>过时</strong>的浏览器，Amaze UI 暂不支持。 请 <a
      href="http://browsehappy.com/" target="_blank">升级浏览器</a>
      以获得更好的体验！</p>
    <![endif]-->

    <!-- 页面内容开始-->
    <header data-am-widget="header" class="am-header am-header-default" data-am-sticky>
      <div class="am-header-left am-header-nav">
        <a href="#left-link" class="" data-am-offcanvas="{target: '#left-link', effect: 'push'}">
          <i class="am-header-icon am-icon-bars"></i>
        </a>
      </div>
      <h1 class="am-header-title">
        <a href="#title-link" class="">
          软件云集
        </a>
      </h1>
      <div class="am-header-right am-header-nav">
        <a href="/" class="">
          <i class="am-header-icon am-icon-home"></i>
        </a>
      </div>
    </header>
    
    <div id="left-link" class="am-offcanvas">
      <div class="am-offcanvas-bar">
        <div class="am-offcanvas-content">
          <p>
            这是追风逐雨博主自用软件的集合<br/>
            初衷只为方便博主<br/>
            以后如何以后再说
          </p>
        </div>
      </div>
    </div>
    
    <div data-am-widget="tabs" class="am-tabs am-tabs-default">
      <ul class="am-tabs-nav am-cf">
      <?php for ($i = 0; $i < count($items); $i++) { ?>
        <li class="<?php if($i==0) {echo 'am-active'; } ?>"><a href="[data-tab-panel-<?php echo $i ?>]"><?php echo $items[$i]->title; ?></a></li>
      <?php } ?>
      </ul>
      <div class="am-tabs-bd">
      <?php for ($i = 0; $i < count($items); $i++) { ?>
        <div data-tab-panel-<?php echo $i ?> class="am-tab-panel <?php if($i==0) {echo 'am-active'; } ?>">
          <table width="100%" class="am-table am-table-striped am-table-bordered am-table-compact am-text-nowrap" id="<?php echo $items[$i]->title; ?>">
            <thead>
              <tr>
                <th>软件名称</th>
                <th>日期</th>
                <th>分类</th>
                <th>介绍</th>
                <th>下载</th>
              </tr>
            </thead>
            <tbody>
            <?php foreach ($items[$i]->data as $key) { ?>
              <tr>
                <td><?php echo $key->name; ?></td>
                <td class="center"><?php echo $key->times; ?></td>
                <td><?php echo $key->type; ?></td>
                <td><?php echo $key->body; ?></td>
                <td class="center">
                <?php if(isset($key->url->baidu) && $key->url->baidu != '') { ?>
                  <a href="<?php echo $key->url->baidu; ?>" class="am-btn am-btn-success am-radius am-btn-xs"><i class="am-icon-cloud-download"></i> 百度网盘</a> 
                <?php } ?>
                <?php if(isset($key->url->s360) && $key->url->s360 != '') { ?>
                  <a href="<?php echo $key->url->s360; ?>" class="am-btn am-btn-success am-radius am-btn-xs"><i class="am-icon-cloud-download"></i> 360网盘</a> 
                <?php } ?>
                <?php if(isset($key->url->local) && $key->url->local != '') { ?>
                  <a href="<?php echo $key->url->local; ?>" class="am-btn am-btn-warning am-radius am-btn-xs"><i class="am-icon-download"></i> 本地下载</a>
                <?php } ?>
                </td>
                
              </tr>
            <?php } ?>
            </tbody>
          </table>
        </div>
      <?php } ?>
      </div>
    </div>
    <!-- 页面内容结束-->

    <!--[if lt IE 9]>
    <script src="http://libs.baidu.com/jquery/1.11.1/jquery.min.js"></script>
    <script src="http://cdn.staticfile.org/modernizr/2.8.3/modernizr.js"></script>
    <script src="assets/js/amazeui.ie8polyfill.min.js"></script>
    <![endif]-->

    <!--[if (gte IE 9)|!(IE)]><!-->
    <script src="assets/js/jquery.min.js"></script>
    <!--<![endif]-->
    <script src="assets/js/amazeui.min.js"></script>
    <script src="assets/js/amazeui.datatables.min.js"></script>
    <script src="assets/js/dataTables.responsive.min.js"></script>
    <script>
      jQuery.extend(jQuery.fn.dataTableExt.oSort, {
        "chinese-string-asc": function (s1, s2) {
          return s1.localeCompare(s2);
        },
        "chinese-string-desc": function (s1, s2) {
          return s2.localeCompare(s1);
        }
      });
      //$('#example').DataTable();

      $('<?php for ($i = 0; $i < count($items); $i++) { echo ($i==0) ? '#'.$items[$i]->title : ', #'.$items[$i]->title; }?>').DataTable({
        responsive: true,
        paging: false,
        dom: 't',
        order: [[1, 'desc'], [2, 'asc']],
        columnDefs: [
          {type: 'chinese-string', targets: '2'},
          {targets: [0,3,4], orderable: false}
          //{targets: 2, visible: false}
        ]
      });
      $(function () {
        $('#download-tabs').tabs();
      })
    </script>
  </body>
</html>